EDIT - feature request #5546

image comparison for selenium screenshots and other images needed
02/11/2016 03:12 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: devOps Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

¢ http:/stackoverflow.com/questions/14284915/fuzzy-screenshot-comparison-with-selenium#15682469

¢ http:/testandwin.net/test-automation/compare-screenshots/

¢ vaadin-testbench-core provides a framework for screenshot comparison:
https://github.com/vaadin/testbench/tree/master/vaadin-testbench-core/src/main/java/com/vaadin/testbench/screenshot . It
might be worth to take an in depth look at these classes. The chapter 23.10. Taking and Comparing Screenshots in the book of
vaadin describes the basic principle of using the screenshot comparison framework.

History

#1 - 02/11/2016 03:12 PM - Andreas Kohlbecker

- Keywords set to selenium, test,

#2 - 04/19/2018 05:33 PM - Andreas Kohlbecker

- Description updated
- Private changed from Yes to No
